commit: 40e3915ba43b45b89ef8029a990fbfc49e85bfdd
Author: Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 13 10:19:58 2026 +0000
Commit: Patrick Lauer <patrick <AT> gentoo <DOT> org>
CommitDate: Fri Feb 13 10:20:23 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=40e3915b
dev-db/postgis: add 3.3.9, 3.4.5, 3.5.5, 3.6.2
Signed-off-by: Patrick Lauer <patrick <AT> gentoo.org>
dev-db/postgis/Manifest | 4 +
dev-db/postgis/postgis-3.3.9.ebuild | 142 ++++++++++++++++++++++++++++++++++++
dev-db/postgis/postgis-3.4.5.ebuild | 140 +++++++++++++++++++++++++++++++++++
dev-db/postgis/postgis-3.5.5.ebuild | 135 ++++++++++++++++++++++++++++++++++
dev-db/postgis/postgis-3.6.2.ebuild | 135 ++++++++++++++++++++++++++++++++++
5 files changed, 556 insertions(+)
diff --git a/dev-db/postgis/Manifest b/dev-db/postgis/Manifest
index d7112337adbe..a26036b3d22d 100644
--- a/dev-db/postgis/Manifest
+++ b/dev-db/postgis/Manifest
@@ -1,6 +1,10 @@
DIST postgis-3.3.7.tar.gz 17782849 BLAKE2B
8f9b1f27c33727a9a24a53972dee67057c4230d0f1f01af352ff6b740d880b9acb7fccbacb5c2cc614c58adadace2cd6be9a1f52a7ce12cc20dbc2a99aa808d7
SHA512
007f0f6fc9b1256f3e7c4536d5d37c0b715fe285613804805567a4000d1ec9a132650b44f585ed184f5ad5209459e11a9464c5caf3ca285b2b230cf89ccf7709
DIST postgis-3.3.8.tar.gz 17783409 BLAKE2B
8321f6c7e972709fb03946ab236a7e10a6ab00c7da6cb06f3efa8b63333214dd0698c02d1c83dae2d5f72fd9d7256269e8de285846bdd46b6908f79f5c0293a4
SHA512
c73953b4cb62900c5f7ca2143bc55865e05f55f26b57f0a601ca6d624d580c58bcddd2d6744164c50f8cb3308377ae9d80cd04b1a19fec9472c795e7252495cc
+DIST postgis-3.3.9.tar.gz 17812463 BLAKE2B
13e482b12507935a21546566ceba6d78d73ae63229e6b39609857284742aa97d878c031bd02cccc311c874c7defd878cd0d75f31fc53187989a53261acf990c8
SHA512
2498a4922d520b11efd95590a3130aa649d1ccaa96354026b703cce646fcc22351c2362d6bb6badc9f2d5eaed0cab9ef8cfb7f659e73fcf804ef0fd86a8bd0d0
DIST postgis-3.4.4.tar.gz 14960460 BLAKE2B
bf0a8f905dfde7023f48340dfc812ffd5651d9d909a684d445ed6401db7afa18a13045a3e8341946b8fc2ee302fe4b60afb52092d653705995346279cafc32cc
SHA512
e561fba5d4eb3a8fb96d9e517a04de007aa1780990d1ba78a2ed25ea27245f46e60257280b3d0fb1ba4164beea798db8858c24193bb2925619cf5f024f8043dc
+DIST postgis-3.4.5.tar.gz 14993547 BLAKE2B
7950891e2ea38661068aabcfec2eecfb653e6421dd31f331efab100b2f8b366599309f5fc556fe8b2b2d542b55ccd27a0eada9b929fc471ab0b3e0958427d1ca
SHA512
0c989af49f907f4d4df0d4659d27ea1268279d73515e8769dd28568eef1ba8aacfe5e92cd702742926172ced43bf8e661225155c7055c97aebefae89bce70d60
DIST postgis-3.5.2.tar.gz 15045553 BLAKE2B
48a43c483a3a36decd3c3bb1b482f0079daacc030788fc58de17ffa91ecd46286de1112604230e0a594e44ba4c6bfa00a31a0241e0c07ce8f52cdd8fd94883d7
SHA512
fcad74289d03bfe9d6eb6f0f5682c9cb03a90ba9c377e39727df85f5d66fa8f51ddb9a9bc7302612d13576cca92bff3717ed965d513ededfe8cf1627c1e2f92d
DIST postgis-3.5.3.tar.gz 14899901 BLAKE2B
31f4c9a0c9f3f124e190e9ff81339995beead6749b83ecb5e8f0e8ef97fee6ef677f4e7aca2b873938f6e92149d6dc91b9c626a310cc01f51db2f3ce3256d177
SHA512
c27f57f0dbf3938648fe16dcaaff28530de6a51c13c481cb78163a51a292f3d77620485cd31e79cd01be675b5dca97129c50c562f68d6d864c822ea7359d754f
+DIST postgis-3.5.5.tar.gz 14974267 BLAKE2B
661f368f23a42f8118f6fe631fb412b8f87399d15f41ab2e85b51752c0c8b5225c677ee7567f3f9388ffb6cfbba0cd1430e34e9c3912dd9c0c3adf9ae176dcef
SHA512
b5c55db6b067b073aed36253e0e58828a3491f8ec66cc4334096757b35bc24278304b9fd872749547845e148107f83a997a81d4eab1d60b1d319290c4638842a
DIST postgis-3.6.0.tar.gz 16202671 BLAKE2B
77c41c21e7cf97c116f292b6ff4b886f9d94c63d72a7b320947d02742514634c5cec04f30df7d28072c98b90ca09cb5648abc2b7f804d84343f0c1898c4cfbbf
SHA512
393faebb2f5f67b46888aab0a9fcfca891bb73fadbefd54406b4029c434ddff3da81eecbee7176898751e1c3d50c22a801526853332daf122073f7523918c6c7
+DIST postgis-3.6.2.tar.gz 16287110 BLAKE2B
66a998b1495bd4c03943fa718f08dee5abcd7ee9f16c3eec87574672f785359456f3d1913b1d26882968ce812bda8db86b5fc42c241ed82b1eb75a227034280c
SHA512
8c7fed9be698fea4cf90fba996e89ae3ce7fe9807c68e194f9fdfe84a0f9fdc423a44db359c157fe8f8077ebe971a356de052cac85b4d2987e453054d6b6ad66
diff --git a/dev-db/postgis/postgis-3.3.9.ebuild
b/dev-db/postgis/postgis-3.3.9.ebuild
new file mode 100644
index 000000000000..bc757266cafb
--- /dev/null
+++ b/dev-db/postgis/postgis-3.3.9.ebuild
@@ -0,0 +1,142 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+POSTGRES_COMPAT=( {11..17} )
+POSTGRES_USEDEP="server"
+inherit autotools postgres-multi toolchain-funcs
+
+MY_P="${PN}-$(ver_rs 3 '')"
+
+if [[ ${PV} = *9999* ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://git.osgeo.org/gitea/postgis/postgis.git"
+else
+ PGIS="$(ver_cut 1-2)"
+ SRC_URI="https://download.osgeo.org/postgis/source/${MY_P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+DESCRIPTION="Geographic Objects for PostgreSQL"
+HOMEPAGE="https://postgis.net"
+
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="address-standardizer doc gtk static-libs topology"
+
+REQUIRED_USE="${POSTGRES_REQ_USE}"
+
+# Needs a running psql instance, doesn't work out of the box
+RESTRICT="test"
+
+RDEPEND="${POSTGRES_DEP}
+ dev-libs/json-c:=
+ dev-libs/libxml2:2=
+ dev-libs/protobuf-c:=
+ >=sci-libs/geos-3.9.0
+ >=sci-libs/proj-4.9.0:=
+ >=sci-libs/gdal-1.10.0:=
+ address-standardizer? ( dev-libs/libpcre2 )
+ gtk? ( x11-libs/gtk+:2 )
+"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ doc? (
+ app-text/docbook-xsl-stylesheets
+ app-text/docbook-xml-dtd:4.5
+ dev-libs/libxslt
+ virtual/imagemagick-tools[png]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-3.0.3-try-other-cpp-names.patch"
+)
+
+src_prepare() {
+ default
+
+ if [[ ${PV} = *9999* ]] ; then
+ source "${S}"/Version.config
+ PGIS="${POSTGIS_MAJOR_VERSION}.${POSTGIS_MINOR_VERSION}"
+ fi
+
+ # These modules are built using the same *FLAGS that were used to build
+ # dev-db/postgresql. The right thing to do is to ignore the current
+ # *FLAGS settings.
+ QA_FLAGS_IGNORED="usr/lib(64)?/(rt)?postgis-${PGIS}\.so"
+
+ # bug #775968
+ touch build-aux/ar-lib || die
+
+ # eautoheader MUST be disabled as upstream manually modify its output
+ # rather than using it directly. The version at runtime at least is
+ # broken otherwise. See bug #912275.
+ AT_M4DIR="macros" AT_NOEAUTOHEADER="yes" eautoreconf
+
+ postgres-multi_src_prepare
+}
+
+src_configure() {
+ export CPP=$(tc-getCPP)
+
+ local myeconfargs=(
+ $(use_with address-standardizer)
+ $(use_with gtk gui)
+ $(use_with topology)
+ )
+ postgres-multi_foreach econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+ postgres-multi_foreach emake
+ postgres-multi_foreach emake -C topology
+
+ if use doc ; then
+ postgres-multi_foreach emake comments
+ postgres-multi_foreach emake cheatsheets
+ postgres-multi_forbest emake -C doc html
+ fi
+}
+
+src_install() {
+ postgres-multi_foreach emake DESTDIR="${D}" install
+ postgres-multi_foreach emake -C topology DESTDIR="${D}" install
+ postgres-multi_forbest dobin ./utils/postgis_restore.pl
+
+ dodoc CREDITS TODO loader/README.* doc/*txt
+
+ docinto topology
+ dodoc topology/{TODO,README}
+
+ if use doc ; then
+ postgres-multi_foreach emake DESTDIR="${D}" comments-install
+
+ docinto html
+ postgres-multi_forbest dodoc doc/html/{postgis.html,style.css}
+
+ docinto html/images
+ postgres-multi_forbest dodoc doc/html/images/*
+ fi
+
+ use static-libs || find "${ED}" -name '*.a' -delete
+}
+
+pkg_postinst() {
+ ebegin "Refreshing PostgreSQL symlinks"
+ postgresql-config update
+ eend $?
+
+ local base_uri="https://postgis.net/docs/manual-"
+ if [[ ${PV} = *9999* ]] ; then
+ base_uri+="dev"
+ else
+ base_uri+="${PGIS}"
+ fi
+
+ elog "To finish installing PostGIS, follow the directions detailed at:"
+ elog "${base_uri}/postgis_installation.html#create_new_db_extensions"
+}
diff --git a/dev-db/postgis/postgis-3.4.5.ebuild
b/dev-db/postgis/postgis-3.4.5.ebuild
new file mode 100644
index 000000000000..13908bcbaa49
--- /dev/null
+++ b/dev-db/postgis/postgis-3.4.5.ebuild
@@ -0,0 +1,140 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+POSTGRES_COMPAT=( {12..17} )
+POSTGRES_USEDEP="server"
+inherit autotools postgres-multi toolchain-funcs
+
+MY_P="${PN}-$(ver_rs 3 '')"
+
+if [[ ${PV} = *9999* ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://git.osgeo.org/gitea/postgis/postgis.git"
+else
+ PGIS="$(ver_cut 1-2)"
+ SRC_URI="https://download.osgeo.org/postgis/source/${MY_P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+DESCRIPTION="Geographic Objects for PostgreSQL"
+HOMEPAGE="https://postgis.net"
+
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="address-standardizer doc gtk static-libs topology"
+
+REQUIRED_USE="${POSTGRES_REQ_USE}"
+
+# Needs a running psql instance, doesn't work out of the box
+RESTRICT="test"
+
+RDEPEND="${POSTGRES_DEP}
+ dev-libs/json-c:=
+ dev-libs/libxml2:2=
+ dev-libs/protobuf-c:=
+ >=sci-libs/geos-3.9.0
+ >=sci-libs/proj-6.1.0:=
+ >=sci-libs/gdal-1.10.0:=
+ address-standardizer? ( dev-libs/libpcre2 )
+ gtk? ( x11-libs/gtk+:2 )
+"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ doc? (
+ app-text/docbook-xsl-stylesheets
+ app-text/docbook-xml-dtd:4.5
+ dev-libs/libxslt
+ virtual/imagemagick-tools[png]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-3.0.3-try-other-cpp-names.patch"
+ "${FILESDIR}/${PN}-3.4.0-without-gui.patch"
+ # source: https://github.com/google/flatbuffers/pull/7897
+ #"${FILESDIR}/${PN}-3.3.2-flatbuffers-abseil-2023.patch" # bug 905378
+)
+
+src_prepare() {
+ default
+
+ if [[ ${PV} = *9999* ]] ; then
+ source "${S}"/Version.config
+ PGIS="${POSTGIS_MAJOR_VERSION}.${POSTGIS_MINOR_VERSION}"
+ fi
+
+ # These modules are built using the same *FLAGS that were used to build
+ # dev-db/postgresql. The right thing to do is to ignore the current
+ # *FLAGS settings.
+ QA_FLAGS_IGNORED="usr/lib(64)?/(rt)?postgis-${PGIS}\.so"
+
+ # bug #775968
+ touch build-aux/ar-lib || die
+
+ # eautoheader MUST be disabled as upstream manually modify its output
+ # rather than using it directly. The version at runtime at least is
+ # broken otherwise. See bug #912275.
+ AT_M4DIR="macros" AT_NOEAUTOHEADER="yes" eautoreconf
+
+ postgres-multi_src_prepare
+}
+
+src_configure() {
+ export CPP=$(tc-getCPP)
+
+ local myeconfargs=(
+ $(use_with address-standardizer)
+ $(use_with gtk gui)
+ $(use_with topology)
+ )
+ postgres-multi_foreach econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+ postgres-multi_foreach emake
+ postgres-multi_foreach emake -C topology
+
+ if use doc ; then
+ postgres-multi_foreach emake comments
+ postgres-multi_forbest emake cheatsheets
+ postgres-multi_forbest emake -C doc html
+ fi
+}
+
+src_install() {
+ postgres-multi_foreach emake DESTDIR="${D}" install
+ postgres-multi_foreach emake -C topology DESTDIR="${D}" install
+ postgres-multi_forbest dobin ./utils/postgis_restore.pl
+
+ dodoc CREDITS TODO loader/README.* doc/*txt
+
+ docinto topology
+ dodoc topology/{TODO,README}
+
+ if use doc ; then
+ postgres-multi_foreach emake DESTDIR="${D}" comments-install
+ postgres-multi_forbest emake DESTDIR="${D}" -C doc
cheatsheet-install html-install html-assets-install
+ fi
+
+ use static-libs || find "${ED}" -name '*.a' -delete
+}
+
+pkg_postinst() {
+ ebegin "Refreshing PostgreSQL symlinks"
+ postgresql-config update
+ eend $?
+
+ local base_uri="https://postgis.net/docs/manual-"
+ if [[ ${PV} = *9999* ]] ; then
+ base_uri+="dev"
+ else
+ base_uri+="${PGIS}"
+ fi
+
+ elog "To finish installing PostGIS, follow the directions detailed at:"
+ elog "${base_uri}/postgis_installation.html#create_new_db_extensions"
+}
diff --git a/dev-db/postgis/postgis-3.5.5.ebuild
b/dev-db/postgis/postgis-3.5.5.ebuild
new file mode 100644
index 000000000000..cca81aed7340
--- /dev/null
+++ b/dev-db/postgis/postgis-3.5.5.ebuild
@@ -0,0 +1,135 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+POSTGRES_COMPAT=( {12..17} )
+POSTGRES_USEDEP="server"
+inherit autotools postgres-multi toolchain-funcs
+
+MY_P="${PN}-$(ver_rs 3 '')"
+
+if [[ ${PV} = *9999* ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://git.osgeo.org/gitea/postgis/postgis.git"
+else
+ PGIS="$(ver_cut 1-2)"
+ SRC_URI="https://download.osgeo.org/postgis/source/${MY_P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+DESCRIPTION="Geographic Objects for PostgreSQL"
+HOMEPAGE="https://postgis.net"
+
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="address-standardizer doc gtk static-libs topology"
+
+REQUIRED_USE="${POSTGRES_REQ_USE}"
+
+# Needs a running psql instance, doesn't work out of the box
+RESTRICT="test"
+
+RDEPEND="${POSTGRES_DEP}
+ dev-libs/json-c:=
+ dev-libs/libxml2:2=
+ dev-libs/protobuf-c:=
+ >=sci-libs/geos-3.9.0
+ >=sci-libs/proj-6.1.0:=
+ >=sci-libs/gdal-1.10.0:=
+ address-standardizer? ( dev-libs/libpcre2 )
+ gtk? ( x11-libs/gtk+:2 )
+"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ doc? (
+ app-text/docbook-xsl-stylesheets
+ app-text/docbook-xml-dtd:4.5
+ dev-libs/libxslt
+ virtual/imagemagick-tools[png]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-3.0.3-try-other-cpp-names.patch"
+)
+
+src_prepare() {
+ default
+
+ if [[ ${PV} = *9999* ]] ; then
+ source "${S}"/Version.config
+ PGIS="${POSTGIS_MAJOR_VERSION}.${POSTGIS_MINOR_VERSION}"
+ fi
+
+ # These modules are built using the same *FLAGS that were used to build
+ # dev-db/postgresql. The right thing to do is to ignore the current
+ # *FLAGS settings.
+ QA_FLAGS_IGNORED="usr/lib(64)?/(rt)?postgis-${PGIS}\.so"
+
+ # bug #775968
+ touch build-aux/ar-lib || die
+
+ # eautoheader MUST be disabled as upstream manually modify its output
+ # rather than using it directly. The version at runtime at least is
+ # broken otherwise. See bug #912275.
+ AT_M4DIR="macros" AT_NOEAUTOHEADER="yes" eautoreconf
+
+ postgres-multi_src_prepare
+}
+
+src_configure() {
+ export CPP=$(tc-getCPP)
+
+ local myeconfargs=(
+ $(use_with address-standardizer)
+ $(use_with gtk gui)
+ $(use_with topology)
+ )
+ postgres-multi_foreach econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+ postgres-multi_foreach emake
+
+ if use doc ; then
+ postgres-multi_foreach emake comments
+ postgres-multi_forbest emake cheatsheets
+ postgres-multi_forbest emake -C doc html
+ fi
+}
+
+src_install() {
+ postgres-multi_foreach emake DESTDIR="${D}" install
+ postgres-multi_forbest dobin ./utils/postgis_restore.pl
+
+ dodoc CREDITS TODO loader/README.* doc/*txt
+
+ docinto topology
+ dodoc topology/{TODO,README}
+
+ if use doc ; then
+ postgres-multi_foreach emake DESTDIR="${D}" comments-install
+ postgres-multi_forbest emake DESTDIR="${D}" -C doc
cheatsheet-install html-install html-assets-install
+ fi
+
+ use static-libs || find "${ED}" -name '*.a' -delete
+}
+
+pkg_postinst() {
+ ebegin "Refreshing PostgreSQL symlinks"
+ postgresql-config update
+ eend $?
+
+ local base_uri="https://postgis.net/docs/manual-"
+ if [[ ${PV} = *9999* ]] ; then
+ base_uri+="dev"
+ else
+ base_uri+="${PGIS}"
+ fi
+
+ elog "To finish installing PostGIS, follow the directions detailed at:"
+ elog "${base_uri}/postgis_installation.html#create_new_db_extensions"
+}
diff --git a/dev-db/postgis/postgis-3.6.2.ebuild
b/dev-db/postgis/postgis-3.6.2.ebuild
new file mode 100644
index 000000000000..a49d2ad1586c
--- /dev/null
+++ b/dev-db/postgis/postgis-3.6.2.ebuild
@@ -0,0 +1,135 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+POSTGRES_COMPAT=( {12..18} )
+POSTGRES_USEDEP="server"
+inherit autotools postgres-multi toolchain-funcs
+
+MY_P="${PN}-$(ver_rs 3 '')"
+
+if [[ ${PV} = *9999* ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://git.osgeo.org/gitea/postgis/postgis.git"
+else
+ PGIS="$(ver_cut 1-2)"
+ SRC_URI="https://download.osgeo.org/postgis/source/${MY_P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+DESCRIPTION="Geographic Objects for PostgreSQL"
+HOMEPAGE="https://postgis.net"
+
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="address-standardizer doc gtk static-libs topology"
+
+REQUIRED_USE="${POSTGRES_REQ_USE}"
+
+# Needs a running psql instance, doesn't work out of the box
+RESTRICT="test"
+
+RDEPEND="${POSTGRES_DEP}
+ dev-libs/json-c:=
+ dev-libs/libxml2:2=
+ dev-libs/protobuf-c:=
+ >=sci-libs/geos-3.9.0
+ >=sci-libs/proj-6.1.0:=
+ >=sci-libs/gdal-1.10.0:=
+ address-standardizer? ( dev-libs/libpcre2 )
+ gtk? ( x11-libs/gtk+:2 )
+"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ doc? (
+ app-text/docbook-xsl-stylesheets
+ app-text/docbook-xml-dtd:4.5
+ dev-libs/libxslt
+ virtual/imagemagick-tools[png]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-3.0.3-try-other-cpp-names.patch"
+)
+
+src_prepare() {
+ default
+
+ if [[ ${PV} = *9999* ]] ; then
+ source "${S}"/Version.config
+ PGIS="${POSTGIS_MAJOR_VERSION}.${POSTGIS_MINOR_VERSION}"
+ fi
+
+ # These modules are built using the same *FLAGS that were used to build
+ # dev-db/postgresql. The right thing to do is to ignore the current
+ # *FLAGS settings.
+ QA_FLAGS_IGNORED="usr/lib(64)?/(rt)?postgis-${PGIS}\.so"
+
+ # bug #775968
+ touch build-aux/ar-lib || die
+
+ # eautoheader MUST be disabled as upstream manually modify its output
+ # rather than using it directly. The version at runtime at least is
+ # broken otherwise. See bug #912275.
+ AT_M4DIR="macros" AT_NOEAUTOHEADER="yes" eautoreconf
+
+ postgres-multi_src_prepare
+}
+
+src_configure() {
+ export CPP=$(tc-getCPP)
+
+ local myeconfargs=(
+ $(use_with address-standardizer)
+ $(use_with gtk gui)
+ $(use_with topology)
+ )
+ postgres-multi_foreach econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+ postgres-multi_foreach emake
+
+ if use doc ; then
+ postgres-multi_foreach emake comments
+ postgres-multi_forbest emake cheatsheets
+ postgres-multi_forbest emake -C doc html
+ fi
+}
+
+src_install() {
+ postgres-multi_foreach emake DESTDIR="${D}" install
+ postgres-multi_forbest dobin ./utils/postgis_restore.pl
+
+ dodoc CREDITS TODO loader/README.* doc/*txt
+
+ docinto topology
+ dodoc topology/{TODO,README}
+
+ if use doc ; then
+ postgres-multi_foreach emake DESTDIR="${D}" comments-install
+ postgres-multi_forbest emake DESTDIR="${D}" -C doc
cheatsheet-install html-install html-assets-install
+ fi
+
+ use static-libs || find "${ED}" -name '*.a' -delete
+}
+
+pkg_postinst() {
+ ebegin "Refreshing PostgreSQL symlinks"
+ postgresql-config update
+ eend $?
+
+ local base_uri="https://postgis.net/docs/manual-"
+ if [[ ${PV} = *9999* ]] ; then
+ base_uri+="dev"
+ else
+ base_uri+="${PGIS}"
+ fi
+
+ elog "To finish installing PostGIS, follow the directions detailed at:"
+ elog "${base_uri}/postgis_installation.html#create_new_db_extensions"
+}